### Method

# AppStream Metadata set_media_baseurl

#### Declaration [src]

    void
    as_metadata_set_media_baseurl (
      AsMetadata* metad,
      const gchar* url
    )

#### Description [src]

Set the base URL for all media links referenced in the metadata, or `NULL` if every component has absolute URLs.

#### Parameters

`url`

  Type: `const gchar*`

  The base URL.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.